.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the RayShape.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_RayShape:

RayShape
========

**Inherits:** :ref:`Shape<class_shape>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Ray shape for 3D collisions.

Member Functions
----------------

+----------------------------+---------------------------------------------------------------------------------------------+
| :ref:`float<class_float>`  | :ref:`get_length<class_RayShape_get_length>`  **(** **)** const                             |
+----------------------------+---------------------------------------------------------------------------------------------+
| void                       | :ref:`set_length<class_RayShape_set_length>`  **(** :ref:`float<class_float>` length  **)** |
+----------------------------+---------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`float<class_float>` **length** - The ray's length.

Description
-----------

Ray shape for 3D collisions, which can be set into a :ref:`PhysicsBody<class_physicsbody>` or :ref:`Area<class_area>`. A ray is not really a collision body, instead it tries to separate itself from whatever is touching its far endpoint. It's often useful for characters.

Member Function Description
---------------------------

.. _class_RayShape_get_length:

- :ref:`float<class_float>`  **get_length**  **(** **)** const

.. _class_RayShape_set_length:

- void  **set_length**  **(** :ref:`float<class_float>` length  **)**


